## libproxy 0.4.7

=== utils/CMakeLists.txt ===
include_directories("../libproxy")

add_executable(proxy proxy.c)
target_link_libraries(proxy libproxy)
install(TARGETS proxy RUNTIME DESTINATION ${BIN_INSTALL_DIR})

## libproxy 0.3.1

=== debian/changelog ===
libproxy (0.3.1-6) unstable; urgency=low

  * Swap libmozjs and webkitgtk Recommends. Closes: #699788.

 -- Josselin Mouette <joss@debian.org>  Tue, 05 Feb 2013 08:59:26 +0100

libproxy (0.3.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix cve-2012-4505: buffer overflow in lib/pac.c (closes: #690376).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Oct 2012 04:44:22 -0400

libproxy (0.3.1-5) unstable; urgency=low

  [ Kees Cook ]
  * debian/{control,rules,*.install}: Convert to Multi-Arch. Closes: #651491

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.3.
  * Update Vcs-* URLs.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 May 2012 21:12:36 +0200

libproxy (0.3.1-4) unstable; urgency=low

  * debian/patches/03_format-security.patch:
    - Fix build failure with [-Werror=format-security]. Closes: #643433
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Don't hard-code the Recommends on libwebkitgtk-1.0-0 | libmozjs6d.
    Instead filter out the correct library package names as found by
    dpkg-shlibdeps and set them via substvars.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Oct 2011 03:28:17 +0200

libproxy (0.3.1-3) unstable; urgency=low

  * Use linux-any wildcard. Closes: #634464.
  * Migrate to libwebkitgtk* dependencies. Closes: #635416.
  * Migrate to dh_python2. Closes: #635140.
  * Build-depend on mozjs >= 6, require libmozjs6d. Closes: #638942.
  * Switch to 3.0 quilt format.
  * 02_url_user.patch: patch from Florian Echtler to fix incorrect 
    parsing of URLs containing user and port but no password.
    Closes: #635684.

 -- Josselin Mouette <joss@debian.org>  Tue, 23 Aug 2011 23:11:55 +0200

libproxy (0.3.1-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/libproxy_link_against_libdl.patch:
    - Removed, configure.ac already adds the correct check so this is not
      needed anymore.

  [ Josselin Mouette ]
  * 01_pac_http.patch: new patch from Julien Blache. Don’t assume HTTP 
    header names are case sensitive. Closes: #600196.
  * Re-enable webkit support. The build-dependency loop is not a problem 
    for a stable release. (But the issue will arise again later.)
  * Recommend libwebkit-1.0-2 | libmozjs2d. Closes: #597864.

 -- Josselin Mouette <joss@debian.org>  Tue, 19 Oct 2010 08:46:05 +0200

libproxy (0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash when parsing .pac file. Closes: #550179.
    - debian/patches/10_configure-check-for-dbus.patch,
      debian/patches/60_am-prog-cc-c-o.patch:
      + Removed, fixed upstream.
    - debian/control.in:
      + Build depend on gconf2 instead of libgconf2-dev.
      + Build depend on kdelibs5-dev and libqt4-dev for the KDE4 plugin.
    - debian/patches/50_px-wpad-fallback-env-var.patch,
      debian/rules:
      + Remove patch, don't install wpad_dnsdevolution.so now.
    - debian/patches/70_autotools.patch:
      + Removed, no longer needed.
    - debian/libproxy0.install,
      debian/rules:
      + s/plugins/modules/ following the upstream change.
  * debian/control.in:
    - Update my maintainer email address.
    - Standards-Version is 3.8.3, no changes needed.
    - libproxy-tools is section utils.
  * debian/watch:
    - Look for bzip2 tarballs.
  * debian/patches/libproxy_link_against_libdl.patch:
    - Link with -ldl for dlopen et al. Closes: #558920.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 12 Dec 2009 01:56:54 +0100

libproxy (0.2.3-4) unstable; urgency=low

  * Don't build NetworkManager support on non-Linux platforms. Thanks
    Samuel Thibault. Closes: #534939.
  * Standards-Version is 3.8.2, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 28 Jun 2009 20:35:04 +0200

libproxy (0.2.3-3) unstable; urgency=low

  * Stop building the webkit plugin for now, we have a circular build-
    dependency with webkit. Instead, build the mozjs one, so that we can
    still read PAC files.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 29 Apr 2009 20:55:50 +0200

libproxy (0.2.3-2) unstable; urgency=low

  * debian/patches/50_px-wpad-fallback-env-var.patch:
    - Fix logic to not bypass the config plugin when the env variable
      isn't set. We don't do wpad fallback if the env variable isn't set,
      but there's not reason to ignore the config file if one is provided.
      See https://launchpad.net/bugs/354475.
  * Standards-Version is 3.8.1, no changes needed.
  * debian/copyright: Add copyright note for pacutils.js

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sat, 25 Apr 2009 14:25:10 +0200

libproxy (0.2.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Initial release (Closes: #509063).
  * Fix if/else logic and a wrong free in 50_px-wpad-fallback-env-var.

  [ Loic Minier ]
  * Set libproxy-dev Arch: any; too small win to warrant installability issues
    on slow arches.
  * Drop shlibs:Depends from python-libproxy as it's Arch: all.
  * Drop gnome-get-source.mk include as it's not working by default.
  * Rename patch configure_check_for_dbus to 10_configure-check-for-dbus.
  * Run a full autoreconf instead of only autoconf.
    - New patch, 60_am-prog-cc-c-o, makes newer autoconfs happier.
    - New patch, 70_autotools, split autotools generated files here to force
      them to be applied last and avoid timestamp skews issues.
    Thanks Sébastien Bacher and Ubuntu for the above.
  * New patch, 50_px-wpad-fallback-env-var, check PX_WPAD_FALLBACK env var to
    decide whether to fall back to wpad:// style autodetection or not,
    defaulting to not fallback when the env var isn't set.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Tue, 03 Mar 2009 01:11:35 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libproxy
Section: libs
Priority: optional
Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3~),
               gnome-pkg-tools,
               autotools-dev,
               python-all-dev (>= 2.6.6-3~),
               network-manager-dev [linux-any],
               libdbus-1-dev,
               libmozjs-dev (>= 6),
               kdelibs5-dev,
               libqt4-dev,
               libwebkitgtk-dev,
               gconf2,
               libxmu-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/libproxy
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libproxy
Homepage: http://code.google.com/p/libproxy/

Package: libproxy0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${moz:Recommends} | ${webkit:Recommends}
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy0 (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files.

Package: libproxy-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python-libproxy
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         libproxy0 (>= ${source:Version})
Description: automatic proxy configuration management library (python)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

SHLIBVER := 0.2.3
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libproxy) = -V '$(libproxy) (>= $(SHLIBVER))'
DEB_DH_SHLIBDEPS_ARGS_$(libproxy) := -Xmodules
DEB_DH_GENCONTROL_ARGS_$(libproxy) = -- \
	-Vmoz:Recommends=$(shell grep -o "libmoz[a-z0-9]*" debian/libproxy0.substvars) \
	-Vwebkit:Recommends=$(shell grep -o "libwebkit[a-z0-9.-]*" debian/libproxy0.substvars)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

binary-install/python-libproxy::
	dh_python2 -p$(cdbs_curpkg)

binary-install/$(libproxy)::
	dh_shlibdeps -plibproxy0 -- -pmodules
	rm debian/$(libproxy)/usr/lib/*/libproxy/*/modules/wpad_dnsdevolution.so

## libproxy 0.4.7

=== debian/changelog ===
libproxy (0.4.7-0ubuntu4.1) precise-security; urgency=low

  * SECURITY UPDATE: possible remote code execution via buffer overflow
    - debian/patches/CVE-2012-4504.patch: move length check to proper
      location in libproxy/url.cpp.
    - CVE-2012-4504

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Nov 2012 09:43:52 -0500

libproxy (0.4.7-0ubuntu4) precise; urgency=low

  * Re-enable webkit pacrunner and build it into its own module package
    (adding a patch to the upstream build system required to achieve this).
    (LP: #934088)
  * Build with webkit3.

 -- Iain Lane <laney@ubuntu.com>  Fri, 17 Feb 2012 10:10:45 +0000

libproxy (0.4.7-0ubuntu3) precise; urgency=low

  * Drop libwebkitgtk-dev build dependency. We just got rid of the old
    webkit-gtk2 stack, we don't want to pull that back in. We already had to
    disable the webkit plugin as this needs mozjs. (LP: #933913)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Feb 2012 07:54:22 +0100

libproxy (0.4.7-0ubuntu2) precise; urgency=low

  * debian/control: Drop mozjs build dependency and mozjs/webkit plugin
    packages, mozjs is in universe (and supposed to stay there).
  * debian/rules: Disable WITH_MOZJS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Feb 2012 16:21:24 +0100

libproxy (0.4.7-0ubuntu1) precise; urgency=low

  [ Iain Lane ]
  * New upstream release.
  * Convert to dh7.
  * SONAME bump, rename packages accordingly
  * Remove obsolete patches
  * Add CLI/Vala bindings.
  * Also install vala bindings (in -dev package)
  * Update Standards-Version to 3.9.2
  * Split modules into individual packages
  * Link with --as-needed to avoid unnecessary deps
  * Update copyright
  * Make library multiarch compatible

  [ Ken VanDine ]
  * Build against libmozjs185.

 -- Iain Lane <laney@debian.org>  Wed, 15 Feb 2012 14:42:54 +0100

=== debian/control ===
Source: libproxy
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>
Build-Depends-Indep: cli-common-dev (>= 0.5.7~), mono-devel (>= 2.4.3)
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               cmake,
               python-all-dev (>= 2.6.6-3~),
               network-manager-dev [linux-any],
               libdbus-1-dev,
               kdelibs5-dev,
               libqt4-dev,
               libwebkitgtk-3.0-dev,
               libglib2.0-dev (>= 2.26),
               libxmu-dev
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libproxy
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libproxy
Homepage: http://code.google.com/p/libproxy/

Package: libproxy1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

#Package: libproxy1-plugin-mozjs
#Architecture: any
#Multi-Arch: same
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#         libproxy1 (= ${binary:Version})
#Description: automatic proxy configuration management library (mozjs plugin)
# libproxy is a lightweight library which makes it easy to develop
# applications proxy-aware with a simple and stable API.
# .
# This package contains the plugin to allow libproxy to interpret PAC files
# using mozjs

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python-libproxy
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         libproxy1 (>= ${source:Version})
Description: automatic proxy configuration management library (python)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python bindings.

Package: libproxy0.4-cil
Architecture: all
Section: cli-mono
Depends: ${cli:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (CLI)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the CLI bindings.

Package: libproxy-cil-dev
Architecture: all
Section: cli-mono
Depends: ${cli:Depends},
         ${misc:Depends},
         libproxy0.4-cil (= ${binary:Version})
Description: automatic proxy configuration management library (CLI devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains development files for the CLI bindings, and should be
 used for compilation.

=== debian/rules ===
#!/usr/bin/make -f

SHLIBVER := 0.4.7
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+)[[:space:]]*$$/\1/p' debian/control)

export DH_VERBOSE=1

export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# only invoke dh --with cli if cli-common-dev is present
WITH_CLI = --with cli
WITH_DOTNET = -DWITH_DOTNET=ON
ifeq (,$(wildcard /usr/share/perl5/Debian/Debhelper/Sequence/cli.pm))
WITH_CLI = 
WITH_DOTNET = -DWITH_DOTNET=OFF
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CONFIGURE_FLAGS = $(WITH_DOTNET) \
		-DWITH_VALA=ON \
		-DWITH_GNOME3=ON \
		-DWITH_MOZJS=OFF \
		-DWITH_WEBKIT3=ON \
		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
		-DCMAKE_SKIP_RPATH=ON \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(SHLIBVER)

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_install-arch:
	dh_install
	rm -f \
	  debian/libproxy-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libproxy-sharp-*.pc

override_dh_install-indep:
	dh_install
	sed -i 's!/usr/lib/mono/libproxy-sharp!/usr/lib/cli/libproxy-sharp-0.4!' \
		debian/libproxy-cil-dev/usr/lib/pkgconfig/libproxy-sharp-1.0.pc

override_dh_makeshlibs:
	dh_makeshlibs -V '$(libproxy) (>= $(SHLIBVER))'

%:
	dh $@ $(WITH_CLI) --with python2

## libproxy 0.4.11

=== libproxy/CMakeLists.txt ===
### Project info
project(libproxy)
set_project_version(0 4 11)

### Add a global compilation stuff
if (WIN32)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS=1)
else(WIN32)
  add_definitions(-D_POSIX_C_SOURCE=200112L)
  set(CMAKE_CXX_FLAGS "-fvisibility=hidden ${CMAKE_CXX_FLAGS}")
endif(WIN32)

### Modules
include(cmake/modules.cmk)

### Dev files
include(cmake/devfiles.cmk)

### Main library
include(cmake/libproxy.cmk)

### Tests
add_testdirectory(test)

=== debian/changelog ===
libproxy (0.4.11-0ubuntu4) saucy; urgency=low

  * Build libproxy1-plugin-kconfig on arm64 now that we have kdelibs5-dev.

 -- William Grant <wgrant@ubuntu.com>  Tue, 15 Oct 2013 00:28:07 +1100

libproxy (0.4.11-0ubuntu3) saucy; urgency=low

  * Don't build libproxy1-plugin-kconfig on AArch64, kde5libs-dev
    not yet available.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Oct 2013 05:33:40 +0200

libproxy (0.4.11-0ubuntu2) saucy; urgency=low

  * debian/patches/dont_segfault_on_exit.patch:
    - drop buggy unref calls to fix a segfault (lp: #1182043)  

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2013 13:20:43 +0200

libproxy (0.4.11-0ubuntu1) raring; urgency=low

  * New upstream release
    - Build fixes with cmake 2.8.10+
    - Quick release without built binaries / files
      + Remove these from debian/clean
  * debian/watch: Update to work with current Google Code website (once more
    with feeling)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Jan 2013 12:17:22 +0000

libproxy (0.4.10-0ubuntu1) raring; urgency=low

  * New upstream release 0.4.10 (LP: #1078915). Selected fixes since 0.4.7:
    - Fix infinite loop uppon network errors
    - Only support standalone mozjs185 as mozilla js engine.  xulrunner being
      part of the now lightning fast moving firefox is impossible to be tracked
      as a dependency and it is not supported by Mozilla to be used in this
      scenario.
    - Support building with javascritpcoregtk 1.5 (got split out of webkitgtk).
  * debian/watch: Update to work with Google code again .
  * Remove all patches - all applied upstream. 
  * Clean accidently shipped built binaries to ensure we ship those built from
    this source.
  * debian/patches/disable-pac-test.patch: Steal patch from Gentoo to disable
    the get-pac-test which hangs when run from the build.
  * Bump Standards-Version to 3.9.4, no changes required. 
  * Add basic compile/link/run autopkgtest - thanks to Rafal Cieślak (LP:
    #1079102)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Nov 2012 12:06:57 +0000

libproxy (0.4.7-0ubuntu6) quantal; urgency=low

  * debian/patches/CVE-2012-4504.patch: Cherry-pick upstream r853 to fix
    buffer overflow when downloading large PAC files. 

 -- Iain Lane <iain.lane@canonical.com>  Wed, 10 Oct 2012 17:56:14 +0100

libproxy (0.4.7-0ubuntu5) quantal; urgency=low

  * debian/patches/libproxy-gcc-4.7.diff: Cherry-pick patch from upstream svn
    r833 to fix FTBFS with GCC-4.7 due to missing includes.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 25 Sep 2012 12:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
                kdelibs5-dev,
                libqt4-dev,
                libwebkitgtk-3.0-dev,
+               libjavascriptcoregtk-3.0-dev,
                libglib2.0-dev (>= 2.26),
                libxmu-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libproxy
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libproxy
@@ -103,6 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
+XS-Testsuite: autopkgtest
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libproxy1 (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 		-DWITH_WEBKIT3=ON \
 		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
 		-DCMAKE_SKIP_RPATH=ON \
+		-DBIPR=0 \
 		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(SHLIBVER)

=== debian/watch ===
version=3

http://code.google.com/p/libproxy/downloads/list \
	http://libproxy.googlecode.com/files/libproxy-(.*).tar.bz2

## libproxy 0.4.14

=== debian/changelog ===
libproxy (0.4.14-3) unstable; urgency=medium

  [ Alexander Volkov ]
  * Don't build depend on libkf5config-bin on stage1 (Closes: #847365)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 27 May 2017 14:13:41 +0200

libproxy (0.4.14-2) unstable; urgency=medium

  * debian/patches/fix-clean-reload-cache.patch: Make sure that the PAC/WPAD
    cache is cleanup when network topology changes and prevent a segfault in
    the process, patches merged upstream.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Feb 2017 12:17:50 +0100

libproxy (0.4.14-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depends from network-manager-dev to the newer libnm-dev.
    While the code has a fallback for the older header files, the new ones
    provided by libnm are preferred by upstream.
  * Use DEB_LDFLAGS_MAINT_APPEND to pass additional flags to the linker.
  * Bump SHVER to 0.4.14.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Jan 2017 13:58:45 +0100

libproxy (0.4.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #844956).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 14:24:11 +0500

libproxy (0.4.13-1) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.

  [ Jeremy Bicha ]
  * New upstream version
  * Add python3-libproxy package
  * Add debian/docs to install NEWS
  * debian/control.in debian/watch: Update homepage and watch URLs
  * debian/control.in:
    - Build-depend on libkf5config-bin instead of QT and KDE libs
    - Bump Standards-Version to 3.9.8
  * debian/libproxy1-plugin-kconfig.install:
    config_kde.so instead of config_kde4.so
  * Dropped patches applied in new version:
    - 0001-pacrunner_webkit-allow-linking-against-javascriptcor.patch
    - dont_segfault_on_exit.patch
    - fix-mozjs-detection.patch

  [ Iain Lane ]
  * debian/rules: Use pyversions -d

 -- Jeremy Bicha <jbicha@linux.com>  Thu, 10 Nov 2016 12:57:09 +0000

libproxy (0.4.11-5) unstable; urgency=medium

  [ Peter Pentchev ]
  * Add explicit zlib build-dependency (Closes: #758465)
  * Break a couple of build dependency loops (Closes: #758466)
  * Add build profile annotations to debian/control (Closes: #758467)

  [ Andreas Henriksson ]
  * Build-depend on dpkg-dev (>= 1.17.2) and bump debhelper to >= 9.20140227
    - these versions introduced build profiles support.
  * Bump Standards-Version to 3.9.5

  [ Iain Lane ]
  * Ack the NMUs, thanks!
  * Fix the build profiles syntax to the current version.
  * debian/patches/0001-pacrunner_webkit-allow-linking-against-javascriptcor.patch:
    Cherry-pick - allow building against webkit2gtk. Update BDs too.
  * Add Enhances: from the plugin packages to the library so that people can
    find them easier. (Closes: #768435, #768437)
  * Use the substvar we just added to add Depends on our shared package.

 -- Iain Lane <laney@debian.org>  Tue, 16 Feb 2016 13:17:41 +0000

libproxy (0.4.11-4.2) unstable; urgency=medium

  * Non maintainer upload.
  * libproxy1-plugin-mozjs: Fix dependency on new libproxy1v5.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 21:42:23 +0200

libproxy (0.4.11-4.1) unstable; urgency=medium

  * Non maintainer upload.
  * Rename library libproxy1 -> libproxy1v5, needed as a follow-up transition
    for the libstdc++6 ABI changes (patch by Sebastien Bacher).
    Addresses: #794402.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:15:37 +0200

libproxy (0.4.11-4) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 03 Nov 2013 13:34:28 +0100

libproxy (0.4.11-3) experimental; urgency=low

  * debian/control.in: Build-depend on netbase, this will hopefully fix the
    FTBFS

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Oct 2013 16:06:21 +0200

libproxy (0.4.11-2) experimental; urgency=low

  * debian/control.in: Only build networkmanager plugin on linux-any
    architectures
  * Drop debian/libproxy1.symbols: .symbols file with C++ libraries is just a
    nightmare, rely on the good old shlibs file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Sep 2013 13:34:14 +0200

libproxy (0.4.11-1) experimental; urgency=low

  * Upload new upstream release to debian, thanks to the Ubuntu guys for the
    changes (Closes: #604934)
  * Re-enable mozjs plugin, this new version is built against mozjs185, this
    fix the current FTBFS and the stability of the ABI/API we build against
    (Closes: #707419, #722685)
  * debian/rules:
    - Re-add uploaders.mk magic
    - Bump SHLIBVER to 0.4.11
    - Make the build fails if symbols are missing the .symbols file
  * debian/patches/fix-mozjs-detection.patch: Properly detect mozjs, patch
    from upstream VCS.
  * debian/libproxy1.symbols: Add symbols file
  * debian/watch: Update to work with Google Code website, again.
  * debian/proxy.1, debian/libproxy-tools.manpages: Install a manpage for the
    proxy command (Closes: #660327)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Sep 2013 15:35:03 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libproxy
Section: libs
Priority: optional
Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Iain Lane <laney@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends-Indep: cli-common-dev (>= 0.5.7~) <!stage1>, mono-devel (>= 2.4.3) <!stage1>
Build-Depends: debhelper (>= 9.20140227),
               dpkg-dev (>= 1.17.14),
               dh-python,
               gnome-pkg-tools,
               netbase,
               cmake,
               zlib1g-dev,
               python-all-dev (>= 2.6.6-3~),
               python3-all, 
               libnm-dev [linux-any],
               libdbus-1-dev,
               libkf5config-bin <!stage1>,
               libmozjs185-dev (>= 1.8.5) <!stage1>,
               libwebkit2gtk-4.0-dev <!stage1>,
               libjavascriptcoregtk-4.0-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!stage1>
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libproxy
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libproxy/
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

Package: libproxy1-plugin-mozjs
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (mozjs plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using mozjs

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python-libproxy
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         ${libproxy} (>= ${source:Version})
Description: automatic proxy configuration management library (Python 2)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python 2 bindings.

Package: python3-libproxy
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${libproxy} (>= ${source:Version})
Description: automatic proxy configuration management library (Python 3)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python 3 bindings.

Package: libproxy0.4-cil
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (CLI)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the CLI bindings.

Package: libproxy-cil-dev
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends},
         libproxy0.4-cil (= ${binary:Version})
Description: automatic proxy configuration management library (CLI devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains development files for the CLI bindings, and should be
 used for compilation.
